Bulk delete block list entry
curl --request POST \
--url https://api.instantly.ai/api/v2/block-lists-entries/bulk-delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"019c0e38-b39d-7504-93ef-1e032de54779",
"019c0e38-b39d-7504-93ef-1e022fed2086"
]
}
'import requests
url = "https://api.instantly.ai/api/v2/block-lists-entries/bulk-delete"
payload = { "ids": ["019c0e38-b39d-7504-93ef-1e032de54779", "019c0e38-b39d-7504-93ef-1e022fed2086"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ids: ['019c0e38-b39d-7504-93ef-1e032de54779', '019c0e38-b39d-7504-93ef-1e022fed2086']
})
};
fetch('https://api.instantly.ai/api/v2/block-lists-entries/bulk-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/block-lists-entries/bulk-delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n \"019c0e38-b39d-7504-93ef-1e032de54779\",\n \"019c0e38-b39d-7504-93ef-1e022fed2086\"\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/block-lists-entries/bulk-delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
'019c0e38-b39d-7504-93ef-1e032de54779',
'019c0e38-b39d-7504-93ef-1e022fed2086'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/block-lists-entries/bulk-delete"
payload := strings.NewReader("{\n \"ids\": [\n \"019c0e38-b39d-7504-93ef-1e032de54779\",\n \"019c0e38-b39d-7504-93ef-1e022fed2086\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "01a082d0-3340-7b84-b073-b0a5ae6e259f",
"timestamp_created": "2026-09-08T20:57:57.824Z",
"organization_id": "01a082d0-3340-7b84-b073-b0a6763f0931",
"bl_value": "example.com",
"is_domain": true
}
]{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Block List Entry
Bulk delete block list entry
Requires one of the following scopes: block_list_entries:delete, block_list_entries:all, all:delete, all:all
POST
/
api
/
v2
/
block-lists-entries
/
bulk-delete
Bulk delete block list entry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Block list entry ids to delete
Block list entry ids to delete
List block list entry ids to delete
Required array length:
1 - 1000 elementsExample:
[
"019c0e38-b39d-7504-93ef-1e032de54779",
"019c0e38-b39d-7504-93ef-1e022fed2086"
]
Response
List of deleted Block List Entry
Unique identifier for the block list entry
Example:
"01a082d0-3340-7b84-b073-b0a5ae6e259f"
Timestamp when the block list entry was created
Example:
"2026-09-08T20:57:57.824Z"
Organization ID that owns this block list entry
Example:
"01a082d0-3340-7b84-b073-b0a6763f0931"
The email or domain to block
Example:
"example.com"
Whether this entry blocks an entire domain
Example:
true